## audiotools 3.1.1

=== Makefile ===
PYTHON = python

all:
	$(PYTHON) setup.py build

install: .FORCE
	$(PYTHON) setup.py install
	cd docs && $(MAKE) install

check: .FORCE
	cd test && $(PYTHON) test.py

probe:
	$(PYTHON) setup.py build_ext --dry-run

clean: .FORCE
	rm -rfv build
	rm -fv audiotools/*.pyc

distclean: clean
	cd docs && $(MAKE) clean

.FORCE:

construct:
	### This target is no longer required ###

construct_install:
	### This target is no longer required ###


#translation specific targets below

EXECUTABLES = \
audiotools_config \
cdda2track \
cddainfo \
cddaplay \
coverdump \
coverview \
dvda2track \
dvdainfo \
track2cdda \
track2track \
trackcat \
trackcmp \
trackinfo \
tracklength \
tracklint \
trackplay \
trackrename \
tracksplit \
tracktag

MODULES = \
__aiff__.py \
__ape__.py \
__au__.py \
__dvda__.py \
__flac__.py \
__id3__.py \
__id3v1__.py \
__image__.py \
__init__.py \
__m4a__.py \
__m4a_atoms__.py \
__mp3__.py \
__musepack__.py \
__ogg__.py \
__shn__.py \
__vorbis__.py \
__vorbiscomment__.py \
__wav__.py \
__wavpack__.py \
cue.py \
delta.py \
freedb.py \
musicbrainz.py \
player.py \
toc.py \
ui.py

audiotools.mo: en_US.po
	msgfmt $< --output-file=$@

en_US.po: audiotools.pot
	msginit --input=$< --locale=en_US --output-file=$@

audiotools.pot: audiotools-cli.pot audiotools-gui.pot
	msgcat -o audiotools.pot audiotools-cli.pot audiotools-gui.pot

audiotools-cli.pot: $(EXECUTABLES) $(MODULES)
	xgettext -L Python --keyword=_ --output=$@ $(EXECUTABLES) $(MODULES)

audiotools-gui.pot: $(GLADE_H_FILES)
	xgettext --keyword=N_ --from-code=UTF-8 --output=$@ $(GLADE_H_FILES)

=== docs/Makefile ===
PYTHON = python
MAN_PATH = /usr/share/man
MAN_PAGES = \
audiotools-config.1 \
audiotools.cfg.5 \
cdda2track.1 \
cddainfo.1 \
cddaplay.1 \
coverdump.1 \
covertag.1 \
coverview.1 \
dvdainfo.1 \
dvda2track.1 \
track2cdda.1 \
track2track.1 \
trackcat.1 \
trackcmp.1 \
trackinfo.1 \
tracklength.1 \
tracklint.1 \
trackplay.1 \
trackrename.1 \
tracksplit.1 \
tracktag.1 \
trackverify.1

MAN_SOURCES = \
audiotools-config.xml \
audiotools.cfg.xml \
cdda2track.xml \
cddainfo.xml \
cddaplay.xml \
coverdump.xml \
covertag.xml \
coverview.xml \
dvdainfo.xml \
dvda2track.xml \
track2cdda.xml \
track2track.xml \
trackcat.xml \
trackcmp.xml \
trackinfo.xml \
tracklength.xml \
tracklint.xml \
trackplay.xml \
trackrename.xml \
tracksplit.xml \
tracktag.xml \
trackverify.xml

.SUFFIXES: .xml .1 .5

.xml.1:
	$(PYTHON) manpagexml.py -i $< $(MAN_SOURCES) > $@

.xml.5:
	$(PYTHON) manpagexml.py -i $< $(MAN_SOURCES) > $@

all: $(MAN_PAGES)

clean: .FORCE
	rm -fv $(MAN_PAGES)
	cd programming && make clean

.FORCE:

install: $(MAN_PAGES)
	for m in $(MAN_PAGES); do install -m 644 $$m $(MAN_PATH)/man1/$$m; done
	install -m 644 audiotools.cfg.5 $(MAN_PATH)/man5/audiotools.cfg.5

=== src/Makefile ===
#This makefile is for generating debug standalone executables

FLAGS = -Wall -g
BINARIES = \
alacdec \
wvdec \
alacenc \
flacdec \
flacenc \
shnenc \
wvenc \
huffman \
bitstream \
bitstream-table \
ttadec \
ttaenc \
opusenc

all: $(BINARIES)

clean:
	rm -f $(BINARIES) *.o *.a

alacdec: $(OBJS) decoders/alac.c decoders/alac.h bitstream.a framelist.o m4a_atoms.o pcm_conv.o
	$(CC) $(FLAGS) -o alacdec decoders/alac.c bitstream.a framelist.o m4a_atoms.o pcm_conv.o -DSTANDALONE

wvdec: $(OBJS) decoders/wavpack.c decoders/wavpack.h md5.o pcm_conv.o
	$(CC) $(FLAGS) -o wvdec decoders/wavpack.c $(OBJS) md5.o pcm_conv.o -DSTANDALONE

alacenc: encoders/alac.c encoders/alac.h bitstream.a pcmreader.o pcm_conv.o m4a_atoms.o
	$(CC) $(FLAGS) -o alacenc encoders/alac.c bitstream.a pcmreader.o pcm_conv.o m4a_atoms.o -DSTANDALONE -lm

flacdec: decoders/flac.c decoders/flac.h bitstream.a framelist.o pcm_conv.o flac_crc.o md5.o
	$(CC) $(FLAGS) -o $@ decoders/flac.c bitstream.a framelist.o pcm_conv.o flac_crc.o md5.o -DSTANDALONE

flacenc: encoders/flac.c encoders/flac.h bitstream.a pcmreader.o pcm_conv.o md5.o flac_crc.o
	$(CC) $(FLAGS) -o $@ encoders/flac.c bitstream.a pcmreader.o pcm_conv.o md5.o flac_crc.o -DSTANDALONE -DEXECUTABLE -lm

wvenc: $(OBJS) encoders/wavpack.c pcmreader.o pcm_conv.o bitstream.a md5.o
	$(CC) $(FLAGS) -o wvenc encoders/wavpack.c pcmreader.o pcm_conv.o bitstream.a md5.o -DSTANDALONE `pkg-config --cflags --libs wavpack`

ttadec: decoders/tta.c decoders/tta.h bitstream.a tta_crc.o pcm_conv.o
	$(CC) $(FLAGS) -o $@ decoders/tta.c bitstream.a tta_crc.o pcm_conv.o -DSTANDALONE

ttaenc: encoders/tta.c encoders/tta.h pcmreader.o pcm_conv.o bitstream.a
	$(CC) $(FLAGS) -o ttaenc encoders/tta.c pcmreader.o pcm_conv.o bitstream.a -DSTANDALONE

vorbisenc: $(OBJS) encoders/vorbis.c
	$(CC) $(FLAGS) -o vorbisenc encoders/vorbis.c $(OBJS) -DSTANDALONE -lvorbis -logg -lvorbisenc

opusenc: $(OBJS) encoders/opus.c bitstream.a pcm_conv.o pcmreader.o
	$(CC) $(FLAGS) -o opusenc encoders/opus.c bitstream.a pcm_conv.o pcmreader.o -DSTANDALONE `pkg-config --cflags --libs opus ogg`

huffman: huffman.c huffman.h parson.o
	$(CC) $(FLAGS) -o huffman huffman.c parson.o -DEXECUTABLE

pcm.o: pcm.c pcm.h
	$(CC) $(FLAGS) -c pcm.c -DSTANDALONE

pcmconv.o: pcmconv.c pcmconv.h
	$(CC) $(FLAGS) -c pcmconv.c -DSTANDALONE

framelist.o: framelist.c framelist.c
	$(CC) $(FLAGS) -c framelist.c -DSTANDALONE

pcm_conv.o: pcm_conv.h pcm_conv.c
	$(CC) $(FLAGS) -c pcm_conv.c

pcmreader: pcmreader.h pcmreader.c pcm.o
	$(CC) -Wall -g -o $@ pcmreader.c pcm.o -DSTANDALONE -DEXECUTABLE

pcmreader.o: pcmreader.c pcmreader.h
	$(CC) $(FLAGS) -c pcmreader.c -DSTANDALONE

bitstream.o: bitstream.c bitstream.h
	$(CC) $(FLAGS) -c bitstream.c

md5.o: common/md5.c common/md5.h
	$(CC) $(FLAGS) -c common/md5.c -DSTANDALONE

flac.o: decoders/flac.c decoders/flac.h
	$(CC) $(FLAGS) -c decoders/flac.c -DSTANDALONE

ogg.o: ogg.c ogg.h
	$(CC) $(FLAGS) -c ogg.c -DSTANDALONE

ogg_crc.o: ogg_crc.c ogg_crc.h
	$(CC) $(FLAGS) -c ogg_crc.c -DSTANDALONE

flac_crc.o: common/flac_crc.c common/flac_crc.h
	$(CC) $(FLAGS) -c common/flac_crc.c -DSTANDALONE

tta_crc.o: common/tta_crc.c common/tta_crc.h
	$(CC) $(FLAGS) -c common/tta_crc.c -DSTANDALONE

huffman.o: huffman.c huffman.h
	$(CC) $(FLAGS) -c huffman.c -DSTANDALONE

array.o: array.c array.h
	$(CC) $(FLAGS) -c array.c

buffer.o: buffer.c buffer.h
	$(CC) $(FLAGS) -c buffer.c

func_io.o: func_io.c func_io.h
	$(CC) $(FLAGS) -c func_io.c

mini-gmp.o: mini-gmp.c mini-gmp.h
	$(CC) $(FLAGS) -c mini-gmp.c

m4a_atoms.o: common/m4a_atoms.c common/m4a_atoms.h
	$(CC) $(FLAGS) -c common/m4a_atoms.c

bitstream.a: bitstream.o huffman.o func_io.o mini-gmp.o
	$(AR) -r $@ bitstream.o huffman.o func_io.o mini-gmp.o

bitstream: bitstream.c bitstream.h huffman.o func_io.o mini-gmp.o
	$(CC) $(FLAGS) bitstream.c huffman.o func_io.o mini-gmp.o -DEXECUTABLE -DDEBUG -o $@

array: array.c array.h
	$(CC) $(FLAGS) array.c -DEXECUTABLE -o $@

parson.o: parson.c parson.h
	$(CC) $(FLAGS) -c parson.c

bitstream-table: bitstream-table.c
	$(CC) $(FLAGS) -o $@ bitstream-table.c

m4a-atoms: common/m4a_atoms.c common/m4a_atoms.h bitstream.a
	$(CC) $(FLAGS) -o $@ common/m4a_atoms.c bitstream.a -DSTANDALONE

=== docs/programming/Makefile ===
# Audio Tools, a module and set of tools for manipulating audio data
# Copyright (C) 2007-2015  Brian Langenberger

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/PythonAudioTools.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/PythonAudioTools.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

=== debian/changelog ===
audiotools (3.1.1-1.1ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:13:15 +0000

audiotools (3.1.1-1.1ubuntu1) plucky; urgency=medium

  * Port from distutils to setuptools.
  * Provide a simple definition for the total_frame_sizes function.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 09 Mar 2025 21:31:53 -0500

audiotools (3.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for libcdio-paranoia 0.9x: Disable broken libcdio_paranoia configure
    check, update paranoia includes.
  * Make the build reproducible (Chris Lamb). Closes: #833396.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Nov 2017 07:38:55 +0100

audiotools (3.1.1-1) unstable; urgency=medium

  * Upstream release renames executables to avoid conflict with cdtool package.
   (Closes: #803229)
  * Add python3-urwid to Recommends. (Closes: #803230)

 -- Eric Shattow <lucent@gmail.com>  Sat, 31 Oct 2015 21:53:51 -0700

audiotools (3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #550216)

 -- Eric Shattow <lucent@gmail.com>  Tue, 20 Oct 2015 12:51:27 -0700

=== debian/control ===
Source: audiotools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Shattow <lucent@gmail.com>
Section: sound
Priority: optional
Standards-Version: 4.1.1
Homepage: http://audiotools.sourceforge.net/
Build-Depends:
 debhelper (>= 9),
 dh-python,
 lame,
 libasound2-dev,
 libcdio-paranoia-dev (>= 0.94),
 libmp3lame-dev,
 libmpg123-dev,
 libopusfile-dev,
 libpulse-dev,
 libtwolame-dev,
 libvorbis-dev,
 libwavpack-dev,
 python3-all-dev,
 python3-setuptools
X-Python-Version: >= 3.3

Package: audiotools
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: faad, python3-urwid
Suggests: faac
Description: Collection of audio handling programs for the command line
 These include programs for CD extraction, track conversion from one
 audio format to another, track renaming and retagging, track
 identification, CD burning from tracks, and more. Supports
 internationalized track filenames and metadata using Unicode. Works
 with high-definition, multi-channel audio as well as CD-quality.
 Track conversion uses multiple CPUs or CPU cores if available to
 greatly speed the transcoding process. Track metadata can be
 retrieved from FreeDB, MusicBrainz or compatible servers.

=== debian/watch ===
version=3
http://sf.net/audiotools/audiotools-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
